<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/Comments/Filter/Filter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.Comments.Filter.Filter</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Processors.html" >Processors</a>.<a href="../../Comments.html" >Comments</a>.<a href="../Filter.html" >Filter</a>
</div><div class="class-name">class Filter

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Processors/Comments/Filter.py.html" target="detail">../Synopsis/Processors/Comments/Filter.py</a></div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.Filter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line12" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Filter-inheritance" src="Filter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Filter-inheritance_map" />
<map name="Filter-inheritance_map"><area alt="Scopes/Synopsis/Processors/Comments/Filter/SSFilter.html" href="SSFilter.html" shape="rect" coords="5, 81, 283, 105" />
<area alt="Scopes/Synopsis/Processors/Comments/Filter/JavaFilter.html" href="JavaFilter.html" shape="rect" coords="307, 81, 592, 105" />
<area alt="Scopes/Synopsis/Processors/Comments/Filter/SSSFilter.html" href="SSSFilter.html" shape="rect" coords="616, 81, 901, 105" />
<area alt="Scopes/Synopsis/Processors/Transformer/Transformer.html" href="../../Transformer/Transformer.html" shape="rect" coords="925, 81, 1208, 105" />
<area alt="Scopes/Synopsis/Processors/NameMapper/NameMapper.html" href="../../NameMapper/NameMapper.html" shape="rect" coords="1232, 81, 1525, 105" />
<area alt="Scopes/Synopsis/Processors/Comments/Filter/SSDFilter.html" href="SSDFilter.html" shape="rect" coords="1549, 81, 1837, 105" />
<area alt="Scopes/Synopsis/Processors/Comments/Filter/QtFilter.html" href="QtFilter.html" shape="rect" coords="1861, 81, 2136, 105" />
<area alt="Scopes/Synopsis/Processors/Comments/Filter/CFilter.html" href="CFilter.html" shape="rect" coords="2160, 81, 2432, 105" />
<area alt="Scopes/Synopsis/Processors/SXRCompiler/SXRCompiler.html" href="../../SXRCompiler/SXRCompiler.html" shape="rect" coords="2456, 81, 2755, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/RawFile/RawFile.html" href="../../../Formatters/HTML/Views/RawFile/RawFile.html" shape="rect" coords="2779, 81, 3093, 105" />
<area alt="Scopes/Synopsis/Parsers/Cxx/Cxx/Parser.html" href="../../../Parsers/Cxx/Cxx/Parser.html" shape="rect" coords="3117, 81, 3323, 105" />
</map>
 <div class="doc">Base class for comment filters.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_builtin">visit_builtin</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line33" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.Filter.process" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line15" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declaration">visit_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.Filter.visit_declaration" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line27" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Filter.html#filter_comment" >filter_comment</a></span>(<span class="variable">self</span>, <span class="variable">comment</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.Filter.filter_comment" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line35" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Filter comment.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filter_comment">filter_comment</a>(<span class="variable">self</span>, <span class="variable">comment</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref23.html#Synopsis.Processors.Comments.Filter.Filter.filter_comment" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Processors/Comments/Filter.py.html#line35" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Filter comment.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:07 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
